ERR:The Minimum Password length that was detected on the system has been changed from its default setting. Current: 9 Default: 0

Answered Question
Jun 16th, 2010

Hi,

I would need some help on this error message showing up after running Upgrade Assistant:

ERR:The Minimum Password length that was detected on the system has been changed from its default setting. Current: 9 Default: 0

Can anybody tell me what this exactly means and how can I fix this issue?

Thanks in advance!

Regards,

Tibor

Correct Answer by Rob Huffman about 6 years 8 months ago

Hi Tibor,

These settings have to be set to "defaults"

Security Settings Validation

This check occurs on the publisher database and subscriber servers.

The utility validates the following policies and accounts:

•Password policies, including Enforce Password History, Minimum Password Age, and Minimum Password Length

Verify that these policies are set to default.

•Account lockout policies

Verify that these policies are set to default.

•Local system accounts for all Administrator accounts

Verify that the local system accounts for all Administrator accounts are set to Never Expire.

Note The utility validates the settings of the publisher database server even when it is running on the subscriber server.


http://www.aironet.info/en/US/docs/voice_ip_comm/cucm/upgrade/assistant/up423tl.html

Here is a good Cisco tech note that describes the process required to change the minimum Pin/Password length;

DC Directory: Modify the Default User PIN and Password Length

From this good doc;

http://www.cisco.com/en/US/products/sw/voicesw/ps556/products_configuration_example09186a00805ca029.shtml

Cheers!
Rob

Please support CSC Helps Haiti

https://supportforums.cisco.com/docs/DOC-8895

https://supportforums.cisco.com/docs/DOC-8727

  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 5 (1 ratings)
Loading.
tdudas Wed, 06/16/2010 - 05:13

Hi Jonathan,

This is a Cisco Unified CallManager 4.2(3) on which I'm running the Upgrade Assistant (Upgrade Utility Version 4.3(13)). I want to upgrade this CCM server to CUCM 7.0(2) that's why I'm checking it with the Upgrade Assistant tool but I bumped into this error.... It does not seem to be a big issue but I would like to know how I can eliminate it.

Thanks!

Regards,

Tibor

Correct Answer
Rob Huffman Wed, 06/16/2010 - 05:57

Hi Tibor,

These settings have to be set to "defaults"

Security Settings Validation

This check occurs on the publisher database and subscriber servers.

The utility validates the following policies and accounts:

•Password policies, including Enforce Password History, Minimum Password Age, and Minimum Password Length

Verify that these policies are set to default.

•Account lockout policies

Verify that these policies are set to default.

•Local system accounts for all Administrator accounts

Verify that the local system accounts for all Administrator accounts are set to Never Expire.

Note The utility validates the settings of the publisher database server even when it is running on the subscriber server.


http://www.aironet.info/en/US/docs/voice_ip_comm/cucm/upgrade/assistant/up423tl.html

Here is a good Cisco tech note that describes the process required to change the minimum Pin/Password length;

DC Directory: Modify the Default User PIN and Password Length

From this good doc;

http://www.cisco.com/en/US/products/sw/voicesw/ps556/products_configuration_example09186a00805ca029.shtml

Cheers!
Rob

Please support CSC Helps Haiti

https://supportforums.cisco.com/docs/DOC-8895

https://supportforums.cisco.com/docs/DOC-8727

tdudas Wed, 06/16/2010 - 06:08

Hi Rob,

Thanks for the correct reply!

Cheers,

Tibor

tdudas Mon, 06/21/2010 - 02:08

Hi Rob,

Just one more thing if you could help me a little bit...

- This error message says 'default: 0' so if I understand this error message correctly number '0' needs to be typed into field 'Minimum length of Password'... but actually this value in my lab environment (not the one wanted to be upgraded) set to '5' (seems to be the default settings since I have not modified this value).. so do I have to set it to 0 or 5?

- what if I leave it as it is? Can this be a problem on 7.x CUCM?

Thanks for your help and time!

Cheers,

Tibor

Rob Huffman Mon, 06/21/2010 - 06:11

Hi Tibor,

You are most correct my friend

The default Password length is 5 so I would try that first. I don't see how this could be that

problematic as PINS/Passwords are not migrated during the DMA process;

DMA does not export this information:

Passwords and PINs—Data Migration Assistant does not migrate passwords and PINs for users.

http://cisco.biz/en/US/docs/voice_ip_comm/cucm/dma/7_1_2/dmaug712.html

Cheers!
Rob

Please support CSC Helps Haiti

https://supportforums.cisco.com/docs/DOC-8895

https://supportforums.cisco.com/docs/DOC-8727

tdudas Mon, 06/21/2010 - 08:39

Thanks Rob!!!

I really appreciate your help!!!

Best regards,

Tibor

Actions

This Discussion